- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Xapian::MultipleMatchDecider Class Reference

Class which applies several match deciders in turn. More...

`#include <matchspy.h>`

Inheritance diagram for Xapian::MultipleMatchDecider:

[legend]
Collaboration diagram for Xapian::MultipleMatchDecider:

[legend]
List of all members.

## Public Member Functions
void | append (const MatchDecider *decider)
| Add a match decider to the end of the list to be called.
bool | operator() (const Xapian::Document &doc) const
| Implementation of virtual operator().

## Detailed Description

Class which applies several match deciders in turn.

## Member Function Documentation

void Xapian::MultipleMatchDecider::append | ( | const MatchDecider * | decider | ) | `[inline]`

Add a match decider to the end of the list to be called.

Note that the caller must ensure that the decider is not deleted before it is used - the MultipleMatchDecider keeps a pointer to the supplied decider.

bool Xapian::MultipleMatchDecider::operator() | ( | const Xapian::Document & | doc | ) | const`[virtual]`

Implementation of virtual operator().

This implementation calls the deciders in turn, until one of them returns false, or all have been called. It returns true iff all the deciders return true.

Implements Xapian::MatchDecider.

The documentation for this class was generated from the following file:

- include/xapian/matchspy.h